import typer

from ldappy.core.lib.ldapur import LdapUr
from ldappy.tools.utils import Utils
from rich.console import Console

import json

app = typer.Typer()


@app.command()
def all():
    """ Liste tous les agents sous format json
    """
    ldap = LdapUr()
    console = Console()
    console.print_json(json.dumps(ldap.get_agents()), indent=4)


@app.command()
def extract():
    """ Liste toutes les UO sous les formats
    """
    ldap = LdapUr()
    Utils.json_to_csv(ldap.get_agents())