import csv
from typing import List, Any


class Utils:
    """ Boite à outil """

    @staticmethod
    def json_to_csv(jlist: List[Any]) -> None:
        """ Transforme une liste json en fichier csv

        Args:
            jlist (List): Une liste au format json
        """
        with open('pt_data1.csv', 'w', newline='', encoding='utf-8') as pt_data1:
            csvwriter = csv.writer(pt_data1)

            for data in jlist:
                dn = data["dn"]
                prenom = data["attributes"]["runUnivPrenom"][0]
                nom = data["attributes"]["runUnivNom"][0]
                mail = data["attributes"]["mail"][0]
                login = data["attributes"]["supannAliasLogin"][0]
                affectation = data["attributes"]["supannEntiteAffectationPrincipale"][0]
                sihamid = data["attributes"]["runUnivSihamId"][0]

                csvwriter.writerow([prenom, nom, login, mail, affectation, sihamid, dn])
